global:
  scrape_interval: 15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.

###alerting:
###  alertmanagers:
###    - static_configs:
###        - targets:
###            - alertmanager_alertmanager-server_1:9093 # Alertmanager address

###rule_files: # Alert rules are included into separate configs. Here we configuring the the metrics by which alerts should be sent. One job = one config. For comfort.
###  - 'alerts/node_exporter-nora.yml'

scrape_configs: # This includes configs with exporter addresses - what prometheus monitors
  - job_name: "prometheus"
    static_configs:
      - targets: ["localocal-prometheus1-1:9090"]
  # ----------------------------------------------------------------
  # ---------------------- Node Exporter Jobs ----------------------
  # ----------------------------------------------------------------

  - job_name: 'node_exporter'
    file_sd_configs:
      - files:
          - prometheus.d/node_exporter.yml
 